import request from '@/utils/request'

export function _createBoxes(data) {
  return request({
    url: 'pkg/BatchCreateBoxes',
    method: 'post',
    data
  })
}

export function _getBoxPage(data) {
  return request({
    url: 'pkg/QueryBox',
    method: 'post',
    data
  })
}

export function _downLoadBoxPdf(batchNo) {
  const params = { batchNo }
  return request({
    url: 'pkg/DownLoadBoxPdf',
    method: 'get',
    params
  })
}

export function _deleteBox(boxId) {
  const data = { boxId }
  return request({
    url: 'pkg/DeleteBox',
    method: 'post',
    data
  })
}
